python-oslo.versionedobjects (3.6.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:55:13 +0000

python-oslo.versionedobjects (3.5.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/p/bug2046220.patch: Drop, included in release.
  * d/control: Drop dependencies that are no longer required.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Jan 2025 09:07:24 +0000

python-oslo.versionedobjects (3.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release.
  * d/control: Drop surplus test requirements.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Aug 2024 11:28:40 +0100

python-oslo.versionedobjects (3.3.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal. 

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2024 11:58:20 +0000

python-oslo.versionedobjects (3.2.0-3ubuntu3) noble; urgency=medium

  * d/p/bug2046220.patch: Refresh from upstream review.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Feb 2024 10:54:39 +0000

python-oslo.versionedobjects (3.2.0-3ubuntu2) noble; urgency=medium

  * d/p/bug2046220.patch: Cherry pick proposed upstream fix to resolve
    cross Python version compatibility of fixtures module.
  * d/p/remove-test_get_hashes-LP-2046220.patch: Drop in preference to
    the above fix.
  * d/tests/python-*: Test with supported Pythons only.
  * d/tests/control: Drop use of needs-recommends restriction.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Feb 2024 10:05:20 +0000

python-oslo.versionedobjects (3.2.0-3ubuntu1) noble; urgency=low

  [ Ubuntu Merge-o-Matic ]
  * Merge from Debian unstable. Remaining changes:
    - d/control: Update minimum version requirements to ensure smooth
      upgrades between and from Ubuntu Cloud Archive pockets.
    - d/control: Bump debhelper-compat to 13.
    - d/control: Update Vcs-Git to Ubuntu Openstack URL on LP.
    - d/tests/*: Use autopkgtests from previous Ubuntu upload that cover
      basic import and unit testing (LP: #2049369).
    - d/watch: Use version from previous Ubuntu upload that checks for
      release tarballs from upstream project.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Jan 2024 09:35:30 +0000

python-oslo.versionedobjects (3.2.0-3) unstable; urgency=medium

  * Add remove-test_get_hashes-LP-2046220.patch.
  * Display /tmp/sphinx-err-*.log if there's a sphinx build error.
  * Add fix-sphinx-build-by-deleting-some-doc.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 30 Oct 2023 16:28:08 +0100

python-oslo.versionedobjects (3.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 14:17:01 +0200

python-oslo.versionedobjects (3.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 15:26:51 +0200

python-oslo.versionedobjects (3.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:58:17 -0400

python-oslo.versionedobjects (3.1.0-3) unstable; urgency=medium

  * Cleans better (Closes: #1046618).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 10:07:16 +0200

python-oslo.versionedobjects (3.1.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 11:47:57 +0200

python-oslo.versionedobjects (3.1.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 11:46:07 +0100

python-oslo.versionedobjects (3.1.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2023 14:24:53 -0500

python-oslo.versionedobjects (3.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 23 Sep 2022 14:00:56 +0200

python-oslo.versionedobjects (3.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Aug 2022 16:57:00 +0200

python-oslo.versionedobjects (3.0.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 20:28:19 -0400

python-oslo.versionedobjects (2.6.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Add autopkgtest.

 -- Thomas Goirand <zigo@debian.org>  Fri, 25 Mar 2022 09:34:53 +0100

python-oslo.versionedobjects (2.6.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Feb 2022 12:33:26 +0100

python-oslo.versionedobjects (2.6.0-0ubuntu2) kinetic; urgency=medium

  * d/t/control, d/t/python-(o)stestr: Switch from ostestr to stestr.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Jun 2022 10:18:18 -0400

python-oslo.versionedobjects (2.6.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Switch to debhelper compat 13.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 16:25:44 -0400

python-oslo.versionedobjects (2.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 17:05:40 +0200

python-oslo.versionedobjects (2.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 23 Aug 2021 15:42:48 +0200

python-oslo.versionedobjects (2.5.0-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 07 Sep 2021 09:16:39 -0400

python-oslo.versionedobjects (2.4.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 09:25:24 +0200

python-oslo.versionedobjects (2.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release, and removed versions when satisfied
    in Bullseye.

 -- Thomas Goirand <zigo@debian.org>  Mon, 08 Mar 2021 09:37:56 +0100

python-oslo.versionedobjects (2.4.0-0ubuntu1) hirsute; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * New upstream release for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Dec 2020 11:19:25 +0000

python-oslo.versionedobjects (2.3.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fixed d/watch.
  * Add a debian/salsa-ci.yml.

 -- Thomas Goirand <zigo@debian.org>  Fri, 16 Oct 2020 10:25:54 +0200

python-oslo.versionedobjects (2.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Sep 2020 10:53:39 +0200

python-oslo.versionedobjects (2.3.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 18 Sep 2020 12:36:51 -0400

python-oslo.versionedobjects (2.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed python3-jsonschema build-depends to >= 3.2.0.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Sep 2020 21:49:04 +0200

python-oslo.versionedobjects (2.2.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/copyright, d/rules: Update upstream git URL.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 29 Jul 2020 14:58:02 -0400

python-oslo.versionedobjects (2.1.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/control, d/rules: Switch to debhelper compat 12 and pybuild.
  * d/control: Update Standards-Version to 4.5.0.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 11 Jun 2020 09:41:46 -0400

python-oslo.versionedobjects (2.0.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 08 May 2020 22:27:55 +0200

python-oslo.versionedobjects (2.0.2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 07 Apr 2020 16:03:34 +0200

python-oslo.versionedobjects (2.0.1-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 09 Apr 2020 15:31:07 -0400

python-oslo.versionedobjects (2.0.0-0ubuntu1) focal; urgency=medium

  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 Mar 2020 16:03:19 -0400

python-oslo.versionedobjects (1.37.0-0ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/t/python-ostestr: Run unit tests for dep8.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
    - d/t/python-import: Ensure this test is py3-only.
  * New upstream release for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 27 Jan 2020 12:27:50 +0100

python-oslo.versionedobjects (1.36.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*.

  [ Thomas Goirand ]
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 21 Oct 2019 00:58:19 +0200

python-oslo.versionedobjects (1.36.1-2) experimental; urgency=medium

  * Run all tests.
  * Add autopkgtest-pkg-python. (Closes: #930161)

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Oct 2019 17:34:35 +0200

python-oslo.versionedobjects (1.36.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 12 Sep 2019 09:45:24 +0200

python-oslo.versionedobjects (1.36.1-0ubuntu2) focal; urgency=medium

  * d/t/python-import: Ensure this test is py3-only.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 10 Dec 2019 13:25:04 -0500

python-oslo.versionedobjects (1.36.1-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Wed, 09 Oct 2019 10:08:55 +0100

python-oslo.versionedobjects (1.36.0-2) experimental; urgency=medium

  * Removed Python 2 from build-depends (Closes: #937987).

 -- Thomas Goirand <zigo@debian.org>  Thu, 05 Sep 2019 22:10:34 +0200

python-oslo.versionedobjects (1.36.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast.
  * Use debhelper-compat instead of debian/compat.

  [ Thomas Goirand ]
  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Sep 2019 14:39:38 +0200

python-oslo.versionedobjects (1.36.0-0ubuntu3) eoan; urgency=medium

  * d/tests/*: Drop Python 2.7 tests.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 26 Jun 2019 14:25:48 -0400

python-oslo.versionedobjects (1.36.0-0ubuntu2) eoan; urgency=medium

  * d/control, d/tests/*: Restore python-import test and drop
    autopkgtest-pkg-python as it does not work with oslo packages.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 21 Jun 2019 10:27:06 -0400

python-oslo.versionedobjects (1.36.0-0ubuntu1) eoan; urgency=medium

  * Merge from Debian experimental.  Remaining changes:
    - d/control: Enable autopkgtest-pkg-python testsuite.
    - d/rules: Run all unit tests.
    - d/t/python-ostestr: Run unit tests for dep8.
    - d/gbp.conf: Retain for gbp and pristine-tar config.
    - d/watch: Use upstream release tarballs.
  * New upstream release for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jun 2019 14:20:27 -0400

python-oslo.versionedobjects (1.35.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 17 Jul 2019 00:55:25 +0200

python-oslo.versionedobjects (1.35.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed Python 2 support.

 -- Thomas Goirand <zigo@debian.org>  Fri, 22 Mar 2019 09:17:11 +0100

python-oslo.versionedobjects (1.35.1-0ubuntu1) disco; urgency=medium

  * New upstream relesae for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Mar 2019 16:05:24 +0000

python-oslo.versionedobjects (1.34.1-0ubuntu1) disco; urgency=medium

  * New upstream relesae for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Wed, 14 Nov 2018 15:29:27 +0000

python-oslo.versionedobjects (1.33.3-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Sep 2018 23:21:35 +0200

python-oslo.versionedobjects (1.33.3-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/control: Use team+openstack@tracker.debian.org as maintainer

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Aug 2018 13:34:17 +0200

python-oslo.versionedobjects (1.33.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Jul 2018 16:26:04 -0400

python-oslo.versionedobjects (1.33.1-0ubuntu2) cosmic; urgency=medium

  * d/tests/*,d/control: Add autopkgtests to exercise import and unit
    tests as part of Ubuntu CI, resolving current failures.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Jun 2018 21:25:08 +0100

python-oslo.versionedobjects (1.33.1-0ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - d/watch: Use upstream release tarballs.
    - d/control: Update Vcs-* fields.
    - d/control: Enable autopkgtest-pkg-python.
    - d/p/*: Retain Ubuntu patches for unicode string handling.
  * New upstream release for OpenStack Rocky.
  * Align (Build-)Depends with upstream.
  * d/p/*: Drop, included in upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 11:52:39 +0100

python-oslo.versionedobjects (1.31.2-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 25 Feb 2018 21:29:19 +0000

python-oslo.versionedobjects (1.31.2-1) experimental; urgency=medium

  * Set VCS URLs to point to salsa.
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version is now 4.1.3.

 -- Thomas Goirand <zigo@debian.org>  Sun, 11 Feb 2018 13:19:13 +0000

python-oslo.versionedobjects (1.31.2-0ubuntu3) bionic; urgency=medium

  * d/p/dont-force-unicode-strings-for-UUID-coercion.patch:
    This reverts and changes the fix provided by
    d/p/Fixing-uuid-coerce-function-for-unicode-non-uuid-form.patch
    (LP: #1763179).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 17 Apr 2018 08:33:51 -0400

python-oslo.versionedobjects (1.31.2-0ubuntu2) bionic; urgency=medium

  * Fixing UUID coerce function for unicode non uuid form id (LP: #1760918)
    - d/p/Fixing-uuid-coerce-function-for-unicode-non-uuid-form.patch

 -- Seyeong Kim <seyeong.kim@canonical.com>  Sun, 08 Apr 2018 18:05:44 -0700

python-oslo.versionedobjects (1.31.2-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Switch to using python3-sphinx.
  * d/p/*: Drop, no longer needed.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Feb 2018 13:04:20 +0000

python-oslo.versionedobjects (1.31.1-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 26 Jan 2018 10:49:23 +0000

python-oslo.versionedobjects (1.30.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Bumped Standards-Version to 4.1.2.

 -- James Page <james.page@ubuntu.com>  Fri, 08 Dec 2017 11:24:05 +0000

python-oslo.versionedobjects (1.29.0-0ubuntu1) bionic; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Mon, 13 Nov 2017 17:29:44 +0000

python-oslo.versionedobjects (1.26.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Standards-Version is now 4.1.1.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Nov 2017 22:08:45 +0000

python-oslo.versionedobjects (1.26.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Daniel Baumann ]
  * Updating vcs fields.
  * Updating copyright format url.
  * Running wrap-and-sort -bast.
  * Updating maintainer field.
  * Updating standards version to 4.0.0.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.
  * Updating standards version to 4.0.1.
  * Deprecating priority extra as per policy 4.0.1.

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed now useless transition packages.
  * Using pkgos-dh_auto_install.

  [ Daniel Baumann ]
  * Updating standards version to 4.1.0.

 -- Thomas Goirand <zigo@debian.org>  Wed, 09 Aug 2017 00:04:54 +0000

python-oslo.versionedobjects (1.26.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 11 Aug 2017 18:32:22 -0400

python-oslo.versionedobjects (1.25.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 07 Jul 2017 12:40:45 -0400

python-oslo.versionedobjects (1.24.0-0ubuntu1) artful; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 02 Jun 2017 09:25:22 +0100

python-oslo.versionedobjects (1.23.0-0ubuntu1) artful; urgency=medium

  [ Chuck Short ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ James Page ]
  * d/watch: Use tarballs.openstack.org.

 -- James Page <james.page@ubuntu.com>  Fri, 21 Apr 2017 10:05:19 +0100

python-oslo.versionedobjects (1.21.0-0ubuntu1) zesty; urgency=medium

  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 19 Jan 2017 12:33:27 -0500

python-oslo.versionedobjects (1.20.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 07 Dec 2016 10:06:03 -0500

python-oslo.versionedobjects (1.19.0-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * d/control: Add autopkgtest
  * d/control: Align Depends with upstream. 

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 02 Dec 2016 09:39:26 -0500

python-oslo.versionedobjects (1.18.0-1ubuntu1) zesty; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Update gbp configuration file.
  * d/control: Update Vcs-* links and maintainers.

  [ Chuck Short ]
  * New upstream version. 
  * debian/control:
    - Add jsonschema as a build dependency for unit tests.
    - Bump version dependencies.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Oct 2016 08:45:13 -0400

python-oslo.versionedobjects (1.17.0-0ubuntu1) yakkety; urgency=medium

  * New upstream release.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 31 Aug 2016 14:08:23 -0400

python-oslo.versionedobjects (1.16.0-1) experimental; urgency=medium

  * New upstream release.
  * Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 25 Aug 2016 09:09:53 +0100

python-oslo.versionedobjects (1.15.0-1) experimental; urgency=medium

  [ David Della Vecchia ]
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

  [ Corey Bryant ]
  * d/control: Bump python-oslo.utils BD to >= 3.15.0.
  * New upstream release.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 23 Aug 2016 11:18:37 +0100

python-oslo.versionedobjects (1.9.1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Changed UPSTREAM_GIT protocol to https
  * d/copyright: Changed source URL to https protocol

  [ Corey Bryant ]
  * New upstream release.
  * d/gbp.conf: Update branch for Newton.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Added Corey Bryant <corey.bryant@canonical.com> as Uploaders:.

 -- Thomas Goirand <zigo@debian.org>  Sun, 05 Jun 2016 15:50:05 +0000

python-oslo.versionedobjects (1.8.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 22:39:01 +0000

python-oslo.versionedobjects (1.8.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed version of python{3,}-oslo.config.

 -- Thomas Goirand <zigo@debian.org>  Sat, 02 Apr 2016 14:49:13 +0200

python-oslo.versionedobjects (1.7.0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

  [ Corey Bryant ]
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

  [ Thomas Goirand ]
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Thu, 03 Mar 2016 03:04:10 +0000

python-oslo.versionedobjects (1.3.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Fixed debian/copyright ordering.
  * Fixed duplicate long description.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jan 2016 09:11:13 +0000

python-oslo.versionedobjects (1.2.0-1) experimental; urgency=medium

  * New upstream release.
  * Also testing with Python 3.5.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 Jan 2016 09:28:51 +0000

python-oslo.versionedobjects (1.0.0-1) experimental; urgency=medium

  * Uploading to unstable.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 07 Dec 2015 16:40:34 +0000

python-oslo.versionedobjects (0.10.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Oct 2015 20:51:34 +0000

python-oslo.versionedobjects (0.10.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Sun, 27 Sep 2015 21:52:23 +0200

python-oslo.versionedobjects (0.9.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Do not run unit tests using Python 3.5, as eventlet is broken there.

 -- Thomas Goirand <zigo@debian.org>  Fri, 04 Sep 2015 09:50:50 +0000

python-oslo.versionedobjects (0.6.0-2) experimental; urgency=medium

  * Added Python 3 support.

 -- Thomas Goirand <zigo@debian.org>  Sat, 01 Aug 2015 21:47:49 +0000

python-oslo.versionedobjects (0.6.0-1) experimental; urgency=medium

  [ James Page ]
  * Fixup typo in transitional package description (LP: #1471561).

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Priority extra for transition packages.
  * Watch file now using Github tag and not broken PyPi.

 -- Thomas Goirand <zigo@debian.org>  Sat, 01 Aug 2015 19:14:06 +0000

python-oslo.versionedobjects (0.3.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release:
    - d/control: Align version requirements with upstream.
  * Re-align with Ubuntu:
    - d/control: Add Breaks/Replaces and transitional packages for
      *oslo-versionedobjects in Ubuntu.

 -- James Page <james.page@ubuntu.com>  Tue, 09 Jun 2015 08:48:52 +0100

python-oslo.versionedobjects (0.1.1-2) unstable; urgency=medium

  * Added missing (build-)depends on python-webob.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2015 22:48:16 +0200

python-oslo.versionedobjects (0.1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #779353)

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Feb 2015 16:05:31 +0100

